%define name rss_glx
%define oname rss-glx
%define fname %{oname}_%{version}
%define version 0.7.6
%define rel 1
%define build_optimization 0
%define build_plf 0
%{?_with_optimization: %{expand: %%define build_optimization 1}}
%{?_with_plf: %{expand: %%define build_plf 1}}


%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Summary: Really Slick Screensavers Port to GLX
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %fname.tar.bz2
License: GPL
Group: Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://rss-glx.sourceforge.net/
BuildRequires: XFree86-devel libMesaGLU1-devel
BuildRequires: libopenal-devel
BuildRequires: libMesaglut-devel
BuildRequires: libMagick-devel >= 5.5.7
Requires: xscreensaver
Epoch: 1

%description
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

You need to add them manually to your ~/.xscreensaver file as described
in README.xscreensaver

%package matrixview
Summary: Really Slick Screensavers Port to GLX - Matrixview 
Group: Graphical desktop/Other
Requires: xscreensaver

%description matrixview
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

This contains the matrixview screensaver. It contains images that are similar
to those from the Matrix movies.

%prep
%setup -q -n %fname

%build
%configure2_5x \
%if ! %build_optimization
 --disable-sse --disable-3dnow \
%endif
 --with-configdir=%_datadir/control-center/screensavers \
 --bindir=%_prefix/X11R6/lib/xscreensaver \
 --mandir=%_prefix/X11R6/man
%make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# these KDE screensaver links are obsolete
rm -rf %buildroot%_datadir/applnk/
%if ! %build_plf
rm -f %buildroot%_prefix/X11R6/lib/xscreensaver/matrixview
rm -f %buildroot%_prefix/X11R6/man/man1/matrixview.1
rm -f %buildroot%_datadir/control-center/screensavers/matrixview.xml
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_prefix/X11R6/lib/xscreensaver/biof
%_prefix/X11R6/lib/xscreensaver/flux
%_prefix/X11R6/lib/xscreensaver/colorfire
%_prefix/X11R6/lib/xscreensaver/cyclone
%_prefix/X11R6/lib/xscreensaver/lattice
%_prefix/X11R6/lib/xscreensaver/fieldlines
%_prefix/X11R6/lib/xscreensaver/rss-glx_install.pl
%_prefix/X11R6/lib/xscreensaver/busyspheres
%_prefix/X11R6/lib/xscreensaver/hufo_tunnel
%_prefix/X11R6/lib/xscreensaver/flocks
%_prefix/X11R6/lib/xscreensaver/helios
%_prefix/X11R6/lib/xscreensaver/euphoria
%_prefix/X11R6/lib/xscreensaver/hufo_smoke
%_prefix/X11R6/lib/xscreensaver/sundancer2
%_prefix/X11R6/lib/xscreensaver/plasma
%_prefix/X11R6/lib/xscreensaver/solarwinds
%_prefix/X11R6/lib/xscreensaver/skyrocket
%_prefix/X11R6/lib/xscreensaver/spirographx
%_prefix/X11R6/man/man1/helios.1.bz2
%_prefix/X11R6/man/man1/hufo_smoke.1.bz2
%_prefix/X11R6/man/man1/spirographx.1.bz2
%_prefix/X11R6/man/man1/skyrocket.1.bz2
%_prefix/X11R6/man/man1/lattice.1.bz2
%_prefix/X11R6/man/man1/solarwinds.1.bz2
%_prefix/X11R6/man/man1/fieldlines.1.bz2
%_prefix/X11R6/man/man1/colorfire.1.bz2
%_prefix/X11R6/man/man1/euphoria.1.bz2
%_prefix/X11R6/man/man1/biof.1.bz2
%_prefix/X11R6/man/man1/flux.1.bz2
%_prefix/X11R6/man/man1/cyclone.1.bz2
%_prefix/X11R6/man/man1/hufo_tunnel.1.bz2
%_prefix/X11R6/man/man1/plasma.1.bz2
%_prefix/X11R6/man/man1/sundancer2.1.bz2
%_prefix/X11R6/man/man1/flocks.1.bz2
%_prefix/X11R6/man/man1/busyspheres.1.bz2
%_datadir/control-center/screensavers/fieldlines.xml
%_datadir/control-center/screensavers/biof.xml
%_datadir/control-center/screensavers/sundancer2.xml
%_datadir/control-center/screensavers/hufo_smoke.xml
%_datadir/control-center/screensavers/colorfire.xml
%_datadir/control-center/screensavers/plasma.xml
%_datadir/control-center/screensavers/busyspheres.xml
%_datadir/control-center/screensavers/hufo_tunnel.xml
%_datadir/control-center/screensavers/helios.xml
%_datadir/control-center/screensavers/skyrocket.xml
%_datadir/control-center/screensavers/cyclone.xml
%_datadir/control-center/screensavers/solarwinds.xml
%_datadir/control-center/screensavers/euphoria.xml
%_datadir/control-center/screensavers/flocks.xml
%_datadir/control-center/screensavers/lattice.xml
%_datadir/control-center/screensavers/spirographx.xml
%_datadir/control-center/screensavers/flux.xml

%if %build_plf
%files matrixview
%defattr(-,root,root)
%doc README*
%_prefix/X11R6/lib/xscreensaver/matrixview
%_prefix/X11R6/man/man1/matrixview.1*
%_datadir/control-center/screensavers/matrixview.xml
%endif

%changelog
* Fri Aug 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-1mdk
- build with ImageMagick support
- update description
- new version

* Mon Aug 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-2mdk
- remove desktop entries for kde

* Mon Aug  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- drop patch
- new version 

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- patch for gcc 3.3

* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- new URL
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix buildrequires

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- add kde screensaver desktop entries
- new version

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- use the right macro
- new version

* Wed Jan 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- new version

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- add xml descriptions for xscreensaver-demo
- fix build and installation
- disable sse/3dnow, but add a --with optimization switch for rebuilders 
- 0.7.0

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.8-1mdk
- drop patch
- new version

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-3mdk
- add fix for plasma

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-2mdk
- fix buildrequires

* Wed Nov 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-1mdk
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-1mdk
- fix description
- add epoch tag for upgrades
- new version, more screensavers

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- initial package
